[arch-commits] Commit in font-bh-ttf/repos (3 files)

Eric Bélanger eric at archlinux.org
Sat Apr 4 02:32:40 EDT 2009


    Date: Saturday, April 4, 2009 @ 02:32:39
  Author: eric
Revision: 33068

Merged revisions 356,33067 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/font-bh-ttf/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r33067 | eric | 2009-04-04 02:32:19 -0400 (Sat, 04 Apr 2009) | 2 lines
  
  upgpkg: font-bh-ttf 1.0.0-4
      Added license
........

Modified:
  font-bh-ttf/repos/extra-x86_64/	(properties)
  font-bh-ttf/repos/extra-x86_64/PKGBUILD
  font-bh-ttf/repos/extra-x86_64/xfonts.install

----------------+
 PKGBUILD       |   14 ++++++++------
 xfonts.install |    5 -----
 2 files changed, 8 insertions(+), 11 deletions(-)


Property changes on: font-bh-ttf/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /font-bh-ttf/trunk:1
   + /font-bh-ttf/trunk:1-33067

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-04 06:32:19 UTC (rev 33067)
+++ extra-x86_64/PKGBUILD	2009-04-04 06:32:39 UTC (rev 33068)
@@ -3,21 +3,23 @@
 
 pkgname=font-bh-ttf
 pkgver=1.0.0
-pkgrel=3
+pkgrel=4
 pkgdesc="X.org Luxi Truetype fonts"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
-depends=(xorg-fonts-encodings xorg-fonts-alias xorg-font-utils fontconfig)
+license=('custom')
+depends=('xorg-fonts-encodings' 'xorg-fonts-alias' 'xorg-font-utils' 'fontconfig')
 install=xfonts.install
 source=(${url}/releases/individual/font/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('ad43cf739b3d46ba1e7dc778a0608a52')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr \
               --with-mapfiles=/usr/share/fonts/util \
-	      --with-fontdir=/usr/share/fonts/TTF
+	      --with-fontdir=/usr/share/fonts/TTF || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  rm ${startdir}/pkg/usr/share/fonts/*/fonts.*
+  make DESTDIR=${pkgdir} install || return 1
+  rm ${pkgdir}/usr/share/fonts/*/fonts.*
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }

Modified: extra-x86_64/xfonts.install
===================================================================
--- extra-x86_64/xfonts.install	2009-04-04 06:32:19 UTC (rev 33067)
+++ extra-x86_64/xfonts.install	2009-04-04 06:32:39 UTC (rev 33068)
@@ -13,8 +13,3 @@
 post_remove() {
   post_install $1
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list